// const COLOR = ['#80FFA5', '#00DDFF', '#37A2FF', '#FF0087', '#FFBF00']

export const line = {
  title: '折线图',
  icon: 'mdi-chart-line',
  option: {
    legend: {
      show: true
    },
    xAxis: {
      type: 'category',
      data: []
    },
    yAxis: {
      type: 'value'
    },
    series: [
      {
        data: [],
        type: 'line',
        smooth: true
      }
    ]
  }
}

export const bar = {
  title: '柱状图',
  icon: 'mdi-chart-bar',
  option: {
    legend: {
      show: true,
      left: 'center'
    },
    xAxis: {
      type: 'category',
      data: []
    },
    yAxis: {
      type: 'value'
    },
    series: [
      {
        data: [],
        type: 'bar'
      }
    ]
  }
}

export const pie = {
  title: '饼图',
  icon: 'mdi-chart-pie',
  option: {
    // title: {
    //   text: 'Referer of a Website',
    //   subtext: 'Fake Data',
    //   left: 'center'
    // },
    tooltip: {
      trigger: 'item'
    },
    legend: {
      left: 'center'
    },
    series: [
      {
        name: 'Access From',
        type: 'pie',
        radius: '50%',
        data: [],
        emphasis: {
          itemStyle: {
            shadowBlur: 10,
            shadowOffsetX: 0,
            shadowColor: 'rgba(0, 0, 0, 0.5)'
          }
        }
      }
    ]
  }
}

// // 散点
// export const scatter = {
//   title: '散点图',
//   icon: 'mdi-chart-bubble',
//   option: {
//     legend: {
//       show: true
//     },
//     xAxis: {
//       type: 'category',
//       data: []
//     },
//     yAxis: {
//       type: 'value'
//     },
//     series: [
//       {
//         data: [],
//         type: 'scatter'
//       }
//     ]
//   }
// }
