import router from './router'
// import Layout from '@/layout'
import {
  getToken
  // deleteToken
} from './utils/auth'
// import store from './store'
import Vue from 'vue'

// 路由拦截
router.beforeEach((to, from, next) => {
  // debugger
  // 无需登录无需获取动态路由
  if (to?.meta?.noLogin) {
    next()
    return
  }

  if (to.path === '/login') {
    if (!getToken()) {
      next()
      return
    }
    next('/home')
  }

  if (!getToken()) {
    next('/login')
    return
  }
  next()
})
router.afterEach((to, from) => {
  document.title = to.meta.title ?? Vue.prototype.$DEFAULT_TITLE
})
