
import { toBase64 } from '@/utils/file'
import Vue from 'vue'

// 数据资源用途 https://minio.citupro.com 不同环境需调整
export const minIOSrc = (fileName) => {
  const flooder = process.env.NODE_ENV === 'production' ? 'dataops' : 'dataops_test'
  const url = `https://minio.citupro.com/dev/${flooder}/${fileName}`
  console.log('url', url)
  return `${Vue.prototype.$previewApi}/onlinePreview?url=${encodeURIComponent(toBase64(url))}`
}
